;;-----------------------------LICENSE NOTICE------------------------------------
;;  This file is part of Harvest Day: An Amstrad CPC Game 
;;  Copyright (C) 2018 Álvaro Molina García / José Manuel Ladrón de Guevara García, Daniel Saura Martínez
;;
;;  This program is free software: you can redistribute it and/or modify
;;  it under the terms of the GNU Lesser General Public License as published by
;;  the Free Software Foundation, either version 3 of the License, or
;;  (at your option) any later version.
;;
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU Lesser General Public License for more details.
;;
;;  You should have received a copy of the GNU Lesser General Public License
;;  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;-------------------------------------------------------------------------------
;; Constants
	s_dim_x = 4
	s_dim_y = 3
	s_space_x = 20
	s_space_y = 50
	s_start_x = -15

	s_f_w = 4
	s_f_h = 12
	s_f_start_x = 8
	s_f_start_y = 16 + 10 + 4 - s_space_y
	s_f_space_y = 50 + 7

	key_delay = 60

	pause_del = 10

	m_aux_space = 32
	m_f_w = 4
	m_f_h = 16
	m_f_start_x = 17
	m_f_start_y = 91


;; Globals
	
 	.globl menu_inicio
 	.globl menu_muerte
 	.globl menu_pausa
 	.globl menu_level_over
 	.globl menu_win
 	.globl set_delay
 	.globl update_delay
 	.globl menu_auxiliar


 	.globl _key_delay_counter




