;; Includes;;-----------------------------LICENSE NOTICE------------------------------------
;;  This file is part of Harvest Day: An Amstrad CPC Game 
;;  Copyright (C) 2018 Álvaro Molina García / José Manuel Ladrón de Guevara García, Daniel Saura Martínez
;;
;;  This program is free software: you can redistribute it and/or modify
;;  it under the terms of the GNU Lesser General Public License as published by
;;  the Free Software Foundation, either version 3 of the License, or
;;  (at your option) any later version.
;;
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU Lesser General Public License for more details.
;;
;;  You should have received a copy of the GNU Lesser General Public License
;;  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;-------------------------------------------------------------------------------

;; Macros

	.macro DefineDrawableEntity _name, _x, _y, _w, _h, _sprite
	_name:
		.db _x, _y
		.db _w, _h
		.dw _sprite ;; Pointer to sprite
		_name'_size = . - _name 	;; Saves the number of bytes that fills a DrawableEntity
	.endm


;; Macro positions

	de_x = 0
	de_y = 1
	de_w = 2
	de_h = 3
	de_sp_l = 4
	de_sp_h = 5

;; Constants


	.globl back_buffer
	.globl front_buffer

;; Globals

	;.globl ren_clearEntity
	.globl ren_drawEntity
	.globl ren_drawBackObstacle
	.globl ren_drawFrontObstacle
	.globl ren_newScene
	.globl ren_initBuffers
	.globl ren_clearAnteriorAnteriorEntity
	.globl drawMap
	.globl ren_clearObstacle
	.globl ren_clearFrontBuffer
	.globl ren_drawFrontEntity