//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Deeper Warrens
//  Copyright (C) 2018 Arnaud Bouche (@Arnaud6128)
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#ifndef WINCPCTELERA
	extern u8* map_tile_sprite;
	extern void asm_drawMapTile(u8* sprite, u8* memory, u8 height) __z88dk_callee;
	extern void asm_drawFullMapTile(u8* sprite, u8* memory) __z88dk_callee;
#else
	u8* map_tile_sprite;
	#define asm_drawMapTile(sprite, memory, height)	cpct_drawSprite(sprite, memory, TILE_CX, height)
	#define asm_drawFullMapTile(sprite, memory)	cpct_drawSprite(sprite, memory, TILE_CX, TILE_CY)
#endif