// Timer
#define RELOAD_TIME						5
#define FOOD_TIME						50
#define HIT_IMPACT						2
#define EFFECT_TIME						30
#define FOOD_SLOWNESS					30

// Food
#define FOOD_CORN						10
#define FOOD_CIDER						15
#define FOOD_APPLE						20
#define FOOD_STEAK						30

#define FOOD_CORN_GOLD					10
#define FOOD_CIDER_GOLD					15
#define FOOD_APPLE_GOLD					20
#define FOOD_STEACK_GOLD				25

// Armor Protection
#define NO_ARMOR_PROTECTED				0
#define ARMOR_TUNIC						1
#define ARMOR_LEATHER					2
#define ARMOR_LEATHER_STUDDED			3
#define ARMOR_MAIL						4
#define ARMOR_BRONZE					5
#define ARMOR_PLATE						6

#define ARMOR_TUNIC_GOLD				1
#define ARMOR_LEATHER_GOLD				5
#define ARMOR_LEATHER_STUDDED_GOLD		7
#define ARMOR_MAIL_GOLD					9
#define ARMOR_BRONZE_GOLD				11
#define ARMOR_PLATE_GOLD				13

// Weapon Damages
#define NO_WEAPON_DMG					2
#define WEAPON_DAGGER					4
#define WEAPON_SHORT_SWORD				6
#define WEAPON_SWORD					8
#define WEAPON_SWORD_MAGIC_BLUE			10
#define WEAPON_SWORD_MAGIC_RED			12

#define WEAPON_DAGGER_GOLD				1
#define WEAPON_SHORT_SWORD_GOLD			3
#define WEAPON_SWORD_GOLD				10
#define WEAPON_SWORD_MAGIC_BLUE_GOLD	15
#define WEAPON_SWORD_MAGIC_RED_GOLD		20

// Artifacts
#define PERM_PROTECTION_GOLD			10
#define PERM_THROW_MASTER_GOLD			10
#define PERM_SWORD_MASTER_GOLD			10

// Potion
#define POTION_BOMB_GOLD				2
#define POTION_INVISIBILITY_GOLD		2
#define POTION_LIFE_GOLD				1
#define POTION_STRENGTH_GOLD			1

// Ammo
#define AMMO							14

// Gold
#define TREASURE_GOLD					10
#define TREASURE_GOLD_PILES				30
#define TREASURE_GOLD_CUP				120
#define TREASURE_CHEST					250

// Speed
#define SPEED_MISSILE					4
#define SLOWNESS						2

// Broken items
#define ITEM_BROKEN						4

// Magic bonus
#define MAGICAL_PROTECT					2
#define MAGICAL_STRENGTH				5
#define POTION_LIFE_BONUS				500

// Damages
#define FIRE_DAMAGES					10
#define SPIKE_DAMAGES					15
#define FOOD_DAMAGES					1
#define DAGGER_DAMAGES					15
#define FIREBALL_DAMAGES				30
#define POISON_DAMAGES					15
#define BONUS_MASTER_THROW_DMG			2

// Monster type
enum
{
	MONST_START,
	MONST_RAT = MONST_START,
	MONST_GOB,
	MONST_MUMMY,
	MONST_WARLOCK,
	MONST_IMP,
	MONST_WORM,
	MONST_GREEN_CYCLOP,
	MONST_NB
};

// Monster XP
enum
{
	MONST_RAT_XP			= 20,
	MONST_GOB_XP			= 30,
	MONST_MUMMY_XP			= 40,
	MONST_WARLOCK_XP		= 60,
	MONST_IMP_XP			= 60,
	MONST_WORM_XP			= 70,
	MONST_GREEN_CYCLOP_XP	= 100
};

// Monster life
enum
{
	MONST_RAT_LIFE			= 15,
	MONST_GOB_LIFE			= 30,
	MONST_MUMMY_LIFE		= 40,
	MONST_WARLOCK_LIFE		= 30,
	MONST_IMP_LIFE			= 60,
	MONST_WORM_LIFE			= 80,
	MONST_GREEN_CYCLOP_LIFE	= 120
};

// Monster damages
enum
{
	MONST_RAT_DMG			= 10,
	MONST_GOB_DMG			= 20,
	MONST_MUMMY_DMG			= 30,
	MONST_WARLOCK_DMG		= 5,
	MONST_IMP_DMG			= 40,
	MONST_WORM_DMG			= 70,
	MONST_GREEN_CYCLOP_DMG	= 80
};
