# Legend of Steel

Legend of Steel is an action-RPG game for Amstrad CPC powered up by the CPCTelera 1.5 engine.

To compile under a linux system just type 'make' from a terminal and the dsk/cdt/sna files will be created.
You can run them using any available Amstrad CPC emulator for your platform (i.e. WinAPE, Caprice, CPCEmu, etc.).

Also, you can play it on a real Amstrad CPC in many ways. For example, it's possible to convert the cdt file into a wav audio file so you can plug the output of your PC (or mobile phone if you prefer) to a cassette tape adapter like this: 
https://www.amazon.es/dp/B001I91TB6

A bluetooth version is also available if you don't like to use a cable:
https://www.amazon.es/dp/B00I3YLHAC

Please note that we are not selling those hardware, nor sponsored by those sellers, so please don't ask us about them.

# Prerequisites
In order to compile this software, you should have CPCtelera 1.5 installed in your system. Please follow the instructions on it's official web page before continuing: http://lronaldo.github.io/cpctelera/files/readme-txt.html#Installing_CPCtelera

Please note than at the time of publishing this game, CPCtelera is currently at 1.4 version. To get the 1.5 you need to clone the development branch.

The commit we used to develop our game is here: https://github.com/lronaldo/cpctelera/tree/f9ffdb8b3f996c19821964328184d458678f399e

# How to compile

```
./init.sh
./config.sh dsk
./release.sh
```

...and all is done!
Now let's se other examples:

## Compile tape version (release)

```
./config.sh cdt
./release.sh
```

## Compile disc version (development)

```
./config.sh dsk test
make
```

[RA_18 Z80] Proyecto Amstrad Razonamiento 2018/2019
