;***********************************************************************
;PALETAS HW
;***********************************************************************
;pens 0-5 (colores fijos)
.pal1 db #46,#4B,#54,#54,#47,#54
;color mesas/equipaciones
;pens(9B) 6-14
.equipacion1 db #4B,#4B,#58,#4B,#4C,#55,#40,#44,#57
.equipacion2 db #55,#4C,#44,#4B,#4B,#58,#5E,#5C,#4E
.equipacion3 db #4C,#4C,#55,#4B,#4B,#54,#56,#44,#40
.equipacion4 db #4B,#4C,#54,#4B,#44,#44,#40,#56,#56
.equipacion5 db #4B,#4B,#4C,#4B,#56,#54,#5E,#5C,#43
.equipacion6 db #4B,#57,#57,#4A,#4A,#55,#56,#5C,#4C
.equipacion7 db #52,#52,#52,#58,#58,#58,#40,#40,#4b
.flickcolor db #52

;0 = 54h	1 = 44h/50h	2 = 55h		3 = 5Ch		4 = 58h		5 = 5Dh 
;6 = 4Ch 	7 = 45h/48h	8 = 4Dh 	9 = 56h 	10 = 46h 	11 = 57h 
;12 = 5Eh 	13 = 40h/41h 	14 = 5Fh 	15 = 4Eh	16 = 47h	17 = 4Fh 	
;18 = 52h 	19 = 42h/51h	20 = 53h	21 = 5Ah 	22 = 59h 	23 = 5Bh 	
;24 = 4Ah 	25 = 43h/49h	26 = 4Bh 

;***********************************************************************
;KEYB CONFS / KEY CODES
;***********************************************************************
;conf menu(1B), keys (6B)
keyb_conf1 db 1,34,27,67,69,68,47	;O,P,Q,A,TAB,SPACE
keyb_conf2 db 2,14,5,20,13,15,7		;F2,F3,F4,F1,F0,FDOT
keyb_conf3 db 3,74,75,72,73,76,77	;JOY1
keyb_conf4 db 4,8,1,0,2,79,18		;CURSOR,DEL,RETURN
keyb_conf5 db 5,71,63,44,54,45,47	;Z,X,H,B,J,SPACE

.ctrl1_mod_table:
defw control1a,control1b,control1c,control1d,control1e,control1f
.ctrl2_mod_table:
defw control2a,control2b,control2c,control2d,control2e,control2f
;------------------------------------------------------------------------
.keyb_codes:	;bit 7 (0 char / 1 string) bit 0-6 (num char/string offset)
		;name		key	char/strOffset	line,bit
db 128+0	;CursorUp	0	str +0		0,0		
db 128+0	;CursorRight	1	str +0		0,1
db 128+0	;CursorDown	2	str +0		0,2
db 128+101	;F9		3	ch 56		0,3
db 128+95	;F6		4	ch 54		0,4
db 128+86 	;F3		5	ch 51		0,5	;---------
db 128+7	;Enter		6	str +7		0,6
db 128+110	;FDot		7	ch 46		0,7	;---------
db 128+0	;CursorLeft	8	str +0		1,0
db 128+13	;Copy		9	str +13		1,1
db 128+98	;F7		10	ch 55		1,2
db 128+101	;F8		11	ch 56		1,3
db 128+92	;F5		12	ch 53		1,4
db 128+80	;F1		13	ch 49		1,5	;---------
db 128+83	;F2		14	ch 50		1,6	;---------
db 128+107	;F0		15	ch 48		1,7	;---------
db 128+18	;Clr		16	str +18		2,0
db 91		;BraceOpen {[	17	ch 91		2,1
db 128+22	;Return		18	str +22		2,2
db 93		;BraceClose }]	19	ch 93		2,3
db 128+89	;F4		20	ch 52		2,4	;---------
db 128+29	;Shift		21	str +29		2,5
db 92		;BackSlash \	22	ch 92		2,6
db 128+35	;Control	23	str +35		2,7
db 94		;Caret ^	24	ch 94		3,0
db 45		;Hyphen =-	25	ch 45		3,1
db 64		;At |@		26	ch 64		3,2
db 80		;P		27	ch 80		3,3	;---------
db 59		;SemiColon ;	28	ch 59		3,4
db 58		;Colon		29	ch 58		3,5
db 47		;Slash ? /	30	ch 47		3,6
db 46		;Dot .		31			3,7
db 48		;0		32	ch 48		4,0
db 57		;9		33	ch 56		4,1
db 79		;O		34	ch 79		4,2	;---------
db 73		;I		35	ch 73		4,3
db 76		;L		36	ch 76		4,4
db 75		;K		37	ch 75		4,5
db 77		;M		38	ch 77		4,6
db 44		;Comma ,	39			4,7
db 56		;8		40	ch 56		5,0
db 55		;7		41	ch 55		5,1
db 85		;U		42	ch 85		5,2
db 89		;Y		43	ch 89		5,3
db 72		;H		44	ch 72		5,4
db 74		;J		45	ch 74		5,5
db 78		;N		46	ch 78		5,6
db 128+40	;Space		47	str +40		5,7	;---------
db 54		;6,Joy2Up	48	ch 54		6,0
db 53		;5,Joy2Down	49	ch 53		6,1
db 82  		;R,Joy2Left	50	ch 82		6,2
db 84		;T,Joy2Right	51	ch 84		6,3
db 71		;G,Joy2Fire2	52	ch 71		6,4
db 70		;F,Joy2Fire1	53	ch 70		6,5
db 66		;B		54	ch 66		6,6
db 86		;V		55	ch 86		6,7
db 52		;4		56	ch 52		7,0
db 51		;3		57	ch 51		7,1
db 69		;E		58	ch 69		7,2
db 87		;W		59	ch 87		7,3
db 83		;S		60	ch 83		7,4
db 68		;D		61	ch 68		7,5
db 67		;C		62	ch 67		7,6
db 88		;X		63	ch 88		7,7
db 49		;1		64	ch 49		8,0
db 50		;2		65	ch 50		8,1
db 0		;Esc		66	disabled	8,2
db 81		;Q		67	ch 81		8,3	;---------
db 128+46	;Tab		68	str +46		8,4	;---------
db 65		;A		69	ch 65		8,5	;---------
db 128+50	;CapsLock	70	str +50		8,6
db 90		;Z		71	ch 90		8,7
db 128+61	;Joy1Up		72	str +61		9,0
db 128+61	;Joy1Down	73	str +61		9,1
db 128+61	;Joy1Left	74	str +61		9,2
db 128+61	;Joy1Right	75	str +61		9,3
db 128+66	;Joy1Fire1	76	str +65		9,4
db 128+73	;Joy1Fire2	77	str +71		9,5
db 0		;Joy1Fire3	78	disabled	9,6
db 128+57	;Del		79	str +57		9,7

;***********************************************************************
;MENU TABLE
;***********************************************************************
.menu_keys
defw prep_start		:db INS_BIT0,LIN_KEY0
defw records		:db INS_BIT1,LIN_KEY7
defw menu_balls		:db INS_BIT0,LIN_KEY6
defw menu_victoria	:db INS_BIT1,LIN_KEY5
defw menu_equip		:db INS_BIT0,LIN_KEY4
defw menu_modo		:db INS_BIT1,LIN_KEY3
defw menu_control2	:db INS_BIT1,LIN_KEY2
defw menu_control1	:db INS_BIT0,LIN_KEY1

defw menu_autobar1	:db INS_BIT6,LIN_KEYC
defw menu_autozone1	:db INS_BIT7,LIN_KEYV
defw menu_autobar2	:db INS_BIT5,LIN_KEYK
defw menu_autozone2	:db INS_BIT4,LIN_KEYL
defw menu_foul		:db INS_BIT2,LIN_KEYE
defw menu_possession 	:db INS_BIT3,LIN_KEYT
defw menu_regs		:db INS_BIT2,LIN_KEYR
defw menu_sound		:db INS_BIT4,LIN_KEYS

.options_tbl:
option1_tbl:defw #1698:db INS_BIT0,1		;autobar1
option2_tbl:defw #16A0:db INS_BIT1,2		;autozone1
option3_tbl:defw #4E98:db INS_BIT2,4		;autobar2	
option4_tbl:defw #4EA0:db INS_BIT3,8		;autozone2	
option5_tbl:defw #16A8:db INS_BIT4,16		;midline
option6_tbl:defw #16B0:db INS_BIT5,32		;posession
option7_tbl:defw #4EA8:db INS_BIT6,64		;regs
option8_tbl:defw #4EB0:db INS_BIT7,128		;sound
;***********************************************************************
;MENU MODO CONF
;***********************************************************************
;conf ctrl1, conf ctrl2, conf ia 	(1B)
;strings (2B)
.modo1_conf:
	db MODO1_C1,MODO1_C2,MODO1_IA
	defw modo1_str_table
.modo2_conf:
	db MODO2_C1,MODO2_C2,MODO2_IA
	defw modo2_str_table
.modo3_conf:
	db MODO3_C1,MODO3_C2,MODO3_IA
	defw modo3_str_table
.modo4_conf: 
	db MODO4_C1,MODO4_C2,MODO4_IA
	defw modo4_str_table
.modo5_conf: 
	db MODO5_C1,MODO5_C2,MODO5_IA
	defw modo5_str_table
.modo6_conf: 
	db MODO6_C1,MODO6_C2,MODO6_IA
	defw modo6_str_table
	
;***********************************************************************
;MENU BALLS
;***********************************************************************
;num balls, shot value
.balls_conf: 
	db 3,SHOT_VALUE3
	db 7,SHOT_VALUE7
	db 9,SHOT_VALUE9
	db 11,SHOT_VALUE11
	db 15,SHOT_VALUE15