;***********************************************************************
;KEYBOARD
;***********************************************************************
;Routine based on the IKARI WARRIORS, COMBAR SCHOOL, EQUINOX, EXOLON, ETC..
.keyb_scan:
	;di
	ld hl,keyb_buffer		;buffer addr
	ld bc,#f40e			;PSG reg 14
	ld d,b				;D = #F4
	out (c),c			;set
	ld b,#f6
	ld e,b				;E = #F6
	in a,(c)
	and #30				;bit7, bit6 = 0
	ld c,a
	or #c0				;bit7, bit6 = 1
	out (c),a			;PSG operation Port A
	out (c),c			;PSG inactivo
	inc b				;#F7 PPI Control
	ld a,#92			;#92 Port A input, Port B input, Port C output
	out (c),a			;set
	set 6,c				;comenzar en #40
	ld a,#0a			;longitud
	scan_lp:
	ld b,e				;#F6
	out (c),c			;registro
	ld b,d				;#F4
	ini				;leer matriz y escribir buffer
	inc c          			;inc matriz
	dec a				;dec longitud
	jr nz,scan_lp 			;bucle
	ld bc,#f782			;#F7 PPI control Port A output
	out (c),c
	ld b,e				;#F6
	out (c),a			;PSG inactivo
	;ei
	ret
	
	
;no cpl; Z=on NZ=off