;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of legend of steel.
;;
;;    Legend of steel is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Legend of steel is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Legend of steel.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2018 edition.
;;
;;     Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;     Castillo Zaragoza, Juan Miguel       jmczaragoza13@gmail.com
;;     Pérez Pérez, Luis Fernando           luisfernandodos2@hotmail.com
;;     Ponsoda Montiel, Daniel              dponsoda@gmail.com
;;
;;############################ END GPL LICENSE BLOCK #############################

.globl animation_update
.globl animation_set

.macro animation_define _name, _currentAni, _currentFrame, _tileset, _currentSprite
    _name:
    .db _currentAni         ;; Puntero relativo a la secuencia de frames actual
    .db _currentFrame       ;; Numero de frame actual
    .dw _tileset            ;; Puntero al tileset de la animación
    .dw _currentSprite      ;; Puntero al sprite actual dentro del tileset
.endm

.equ animation_currentAni, 0
.equ animation_currentFrame, 1
.equ animation_tileset, 2
.equ animation_currentSprite, 4
    
.equ SIZEOF_animation, 6
