;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of legend of steel.
;;
;;    Legend of steel is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Legend of steel is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Legend of steel.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2018 edition.
;;
;;     Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;     Castillo Zaragoza, Juan Miguel       jmczaragoza13@gmail.com
;;     Pérez Pérez, Luis Fernando           luisfernandodos2@hotmail.com
;;     Ponsoda Montiel, Daniel              dponsoda@gmail.com
;;
;;############################ END GPL LICENSE BLOCK #############################

.include "cpctSymbols.h.s"
.include "entityVector.h.s"
.include "map.h.s"
.include "scroll.h.s"
.include "world.h.s"
.include "characters/frames.h.s"
.include "panel.h.s"
.include "math.h.s"

.include "sfx/sfx.h.s"

.globl logic_heart_base
.globl item_newMoney
.globl ph_itemLogicCallback

.globl hero
.globl _g_items_3
.globl _g_items 
entity_defineStatic coins_prototype, 0, 0, 4, 8, _g_items, _g_items_3, logic_coins, entity_tItem


logic_callback:
	ld hl, #120
	ld de, #5
	call item_newMoney
	ld a, #_g_sfx_moneyId
	ret

;;============================
;; Manage coins's logic
;; DESTROYS: HL, DE, IX, BC, AF
;;============================
logic_coins::
	ld hl, #logic_callback
    ld (ph_itemLogicCallback+1), hl
    call logic_heart_base
    ret