;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of legend of steel.
;;
;;    Legend of steel is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Legend of steel is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Legend of steel.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2018 edition.
;;
;;     Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;     Castillo Zaragoza, Juan Miguel       jmczaragoza13@gmail.com
;;     Pérez Pérez, Luis Fernando           luisfernandodos2@hotmail.com
;;     Ponsoda Montiel, Daniel              dponsoda@gmail.com
;;
;;############################ END GPL LICENSE BLOCK #############################

.include "entityVector.h.s"
    
.globl orc_setStateThink
.globl orc_setStateHit
.globl orc_setStateDead
.globl orc_updateStateHit
.globl orc_setAnimation
.globl orc_setStateSeek
.globl orc_setStateAttack

.globl orc_getHeroDirection
.globl orc_checkHero
.globl orc_checkHeroSword
.globl orc_updateStateThink
.globl orc_move
.globl orc_updateStateSeek
.globl orc_checkHero_ns

;;============================
;;============================
;; GLOBAL VARIABLES
;;============================
;;============================
.globl heroDifX     ;; pos X difference to hero (can be negative)
.globl heroDifY     ;; pos Y difference to hero (can be negative)
.globl heroDist     ;; distance to hero (manhattan distance)
.globl startX    ;; start X coordinate to check sensor line
.globl startY     ;; start Y coordinate to check sensor line

.globl orc_updateStateAttack

.globl orc_updateStateHit

.globl orc_updateStateDead

.equ orc_stThink, 0
.equ orc_stSeek, 1
.equ orc_stAttack, 2
.equ orc_stHit, 3 
.equ orc_stDead, 4

.equ orc_dir, entity_customData + 0
.equ orc_dist, entity_customData + 1
.equ orc_wait, entity_customData + 1
.equ orc_life, entity_customData + 2
.equ orc_hit, entity_customData + 3
.equ orc_attackPts, entity_customData + 5

.globl orc_sequences
.globl orc_currentSequences
