;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of legend of steel.
;;
;;    Legend of steel is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Legend of steel is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Legend of steel.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2018 edition.
;;
;;     Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;     Castillo Zaragoza, Juan Miguel       jmczaragoza13@gmail.com
;;     Pérez Pérez, Luis Fernando           luisfernandodos2@hotmail.com
;;     Ponsoda Montiel, Daniel              dponsoda@gmail.com
;;
;;############################ END GPL LICENSE BLOCK #############################

.include "cpctSymbols.h.s"
.include "entityVector.h.s"
.include "map.h.s"
.include "scroll.h.s"
.include "world.h.s"
.include "characters/frames.h.s"
.include "panel.h.s"
.include "math.h.s"
.include "entityWarrior.h.s"

.globl hero
;.globl _g_chest_0
;.globl _g_chest
;.globl _g_items_4
;.globl _g_items_4
.globl _g_tiles3_20
.globl _g_tiles3
;.globl _g_items
entity_defineStatic treasure_prototype, 0, 0, 4, 8, _g_tiles3, _g_tiles3_20, logic_treasure, entity_tItem

;;============================
;; Manage chest's logic
;; DESTROYS: HL, DE, IX, BC, AF
;;============================
logic_treasure::
	ld hl, #hero
	ld__d_ixh
	ld__e_ixl
	call collision_check
	cp #0
	jp z, end_logic
	push ix
	ld ix, #hero
	call hero_setStateWin
	pop ix
	call entity_deleteFromWorld
	call entity_delete
	end_logic:
	ret
