;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of legend of steel.
;;
;;    Legend of steel is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Legend of steel is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Legend of steel.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2018 edition.
;;
;;     Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;     Castillo Zaragoza, Juan Miguel       jmczaragoza13@gmail.com
;;     Pérez Pérez, Luis Fernando           luisfernandodos2@hotmail.com
;;     Ponsoda Montiel, Daniel              dponsoda@gmail.com
;;
;;############################ END GPL LICENSE BLOCK #############################

;.globl flagAttack
;.globl dirAttack
;.globl dimAttack
.globl flagDropItem

.globl hero_sword
.globl hero_attacking
.globl hero_direction
.globl hero_sticked
.globl warrior_stickedHurtCountdown

.globl hero_setStateHit
.globl hero_setStateNormal
.globl hero_setStateWin

.globl hero_restoreToNormalFrames
.globl hero_setStand
.globl hero_setStickedState

.globl hero_state

;; Possible states:
.equ hero_stNormal, 0
.equ hero_stAttack, 1
.equ hero_stHit, 2
.equ hero_stDead, 3
.equ hero_stWin, 4