;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of legend of steel.
;;
;;    Legend of steel is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Legend of steel is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Legend of steel.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2018 edition.
;;
;;     Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;     Castillo Zaragoza, Juan Miguel       jmczaragoza13@gmail.com
;;     Pérez Pérez, Luis Fernando           luisfernandodos2@hotmail.com
;;     Ponsoda Montiel, Daniel              dponsoda@gmail.com
;;
;;############################ END GPL LICENSE BLOCK #############################

.include "cpctSymbols.h.s"
.include "panel.h.s"
;keyboard: .db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00

trick: .db 0x00, 0x00

panel_test::
    ld a, (trick+0)
    cp #0
    jp nz, checkO
    ld hl, #Key_T                
    call cpct_isKeyPressed_asm     
    cp #0                        
    ret z
        ld a, #1
        ld (trick+0), a
        ret
    checkO:
    ld a, (trick+1)
    cp #0
    jp nz, checkD
    ld hl, #Key_O                
    call cpct_isKeyPressed_asm     
    cp #0                        
    ret z   
        ld a, #1
        ld (trick+1), a
        ret
    checkD:
    ld hl, #Key_D
    call cpct_isKeyPressed_asm     
    cp #0                        
    ret z         
        call panel_drawLife_init
        ld a, #0x00
        ld (trick+0), a
        ld (trick+1), a
    ret
;    call cpct_scanKeyboard_asm;

;    ld    hl, #Key_Z                
;    call  cpct_isKeyPressed_asm     
;    cp    #0                        
;    jr    z, z_not_pressed
;        ld hl,#15         
;        ld a, (keyboard+0)
;        ld b, a
;        ld a, #1
;        ld (keyboard+0), a
;        ld a, b
;        cp #0
;        call z, panel_incrementMoney   ;; Ejecuta esto si se pulsa Z
;        jr z_next
;    z_not_pressed:
;        ld a, #0x00
;        ld (keyboard+0), a;

;    z_next:;

;    ld    hl, #Key_X                
;    call  cpct_isKeyPressed_asm     
;    cp    #0                        
;    jr    z, x_not_pressed         
;        ld a, (keyboard+1)
;        ld b, a
;        ld a, #1
;        ld (keyboard+1), a
;        ld a, b
;        cp #0
;        call z, panel_incrementLife   ;; Ejecuta esto si se pulsa X
;        jr x_next
;    x_not_pressed:
;        ld a, #0x0
;        ld (keyboard+1), a;

;    x_next:;

;    ld    hl, #Key_C
;    call  cpct_isKeyPressed_asm     
;    cp    #0                        
;    jr    z, c_not_pressed         
;        ld a, (keyboard+2)
;        ld b, a
;        ld a, #1
;        ld (keyboard+2), a
;        ld a, b
;        cp #0
;        call z, panel_decrementKey   ;; Ejecuta esto si se pulsa X
;        jr c_next;

;    c_not_pressed:
;        ld a, #0x0
;        ld (keyboard+2), a;

;    c_next:;

;    ld    hl, #Key_V
;    call  cpct_isKeyPressed_asm     
;    cp    #0                        
;    jr    z, v_not_pressed         
;        ld a, (keyboard+3)
;        ld b, a
;        ld a, #1
;        ld (keyboard+3), a
;        ld a, b
;        cp #0
;        call z, panel_incrementKey   ;; Ejecuta esto si se pulsa X
;        jr v_next
;    v_not_pressed:
;        ld a, #0x0
;        ld (keyboard+3), a;

;    v_next:

;    ret