;************************************************************************************************
;BALL VARS
;************************************************************************************************
bxy:			;posicion xy 16bits (Y primero para cargar con HL)
by db #00		;posicin y
bx db #00		;posicin x
bxyd:			;direccion 16bits
byd db #01		;direccion y
bxd db -#01		;direccion x
bxyi:			;velocidad 16bits
byi db MAX_BYI		;velocidad y
bxi db MAX_BXI		;velocidad x
;************************************************************************************************
;SPRITE VARS
;************************************************************************************************
;;;;		PDDMMDDP	;hand	pt1	df1	dl2	md1	md2	dl1	df2	pt2
				;bit	7	6	5	4	3	2	1	0				
.show_move db %11111111 	;1 show
				
.hands db %01100110		;0 hand back
				;1 hand forw
;y x figura (no cambiar el orden)
.pt1_pos defb PT_POSY,PT1_POSX	
.df1_pos defb DF_POSY,DF1_POSX
.dl2_pos defb DL_POSY,DL2_POSX
.md1_pos defb MD_POSY,MD1_POSX
.md2_pos defb MD_POSY,MD2_POSX
.dl1_pos defb DL_POSY,DL1_POSX
.df2_pos defb DF_POSY,DF2_POSX
.pt2_pos defb PT_POSY,PT2_POSX

.p1x1 db 3	;player1 posicion figuras 1,2 atras, 3 centrado, 4,5 delante
.p1x2 db 3
.p1x3 db 3
.p1x4 db 3
.p2x1 db 3	;player2 posicion figuras 1,2 atras, 3 centrado, 4,5 delante
.p2x2 db 3
.p2x3 db 3
.p2x4 db 3

;************************************************************************************************
;CONTROL VARS
;************************************************************************************************
;control zona/barra j1/j2		PRESS1	ALTBAR	J2	Z4	Z3	Z2	Z1	PRESS2
.c_zone:	;(16bits)
.c2_zone db %00010000	;L	;bit	7	6	5	4	3	2	1	0
.c1_zone db %00000100	;H	;0		Back	1vsX					
				;1	altbar	Forw	2vsX	zone4	zone3	zone2	zone1	autozona
;------------------------------------------------------------------------
;control zona/barra ia1/ia2		IA2	IA1 	CTRL2	Z4(ia2)	Z3(ia2)	Z2(ia1)	Z1(ia1)	CTRL1(ia1)
.ia_zone db %00010101		;bit	7	6	5	4	3	2	1	0
				;0	off	off						
				;1	on	on	autoz2	z4	z3	z2	z1	autoz1
;------------------------------------------------------------------------
;shot				;bit	7	6	5	4	3	2	1	0
.c_shot: 	;(16bits)
.c2_shot db %00000000	;L	;1	;-	-	dl2	-	md2	-	df2	pt2
.c1_shot db %00000000	;H	;1	;pt1	df1	-	md1	-	dl1	-	-
.ball_area db %00000000		;1	;pt1	df1	dl2	md1	md2	dl1	df2	pt2
.last_touch db %00000000	;1	;pt1	df1	dl2	md1	md2	dl1	df2	pt2

