;;-----------------------------LICENSE NOTICE------------------------------------
;;  This file is part of Harvest Day: An Amstrad CPC Game 
;;  Copyright (C) 2018 Álvaro Molina García / José Manuel Ladrón de Guevara García, Daniel Saura Martínez
;;
;;  This program is free software: you can redistribute it and/or modify
;;  it under the terms of the GNU Lesser General Public License as published by
;;  the Free Software Foundation, either version 3 of the License, or
;;  (at your option) any later version.
;;
;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU Lesser General Public License for more details.
;;
;;  You should have received a copy of the GNU Lesser General Public License
;;  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;-------------------------------------------------------------------------------

;; Constants

	;; Constants of the HUD

		;; Where it's going to be created (top-left)
		hud_startx = 31
		hud_starty = 180

		;; Sprites
		sprite_offsetx = 1
		sprite_size = 64




;; GLOBAL DECLARATION ZONE
	;; Variables
		.globl unlocked_levels
		.globl current_level

		

	;; Constants
		.globl total_lvls
		.globl init_level


		total_lvls = 14
		init_level = 1


	;; Functions
		.globl load_level
		.globl next_level
		.globl next_unlock
		.globl read_matrix
		