//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Deeper Warrens
//  Copyright (C) 2018 Arnaud Bouche (@Arnaud6128)
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

enum
{
	MOVE_0,
	MOVE_7 = 7,
	IMPACT_0,
	IMPACT_1,
	IMPACT_2,
	DELETE
};

enum
{
	DAGGER,
	FIREBALL
};

typedef struct 
{
	u8 type;
	u8 infos;	
	u8 senderId;
	SPos pos;
} SMissile;

void InitMissiles();
void AddMissile(u8 type, SPos* pos, u8 senderId);
void UpdateMissiles();
void DrawMissiles();