//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Deeper Warrens
//  Copyright (C) 2018 Arnaud Bouche (@Arnaud6128)
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

/*****************************************************/
/*													 */
/*	Deeper Warrens Song Intro				 		 */
/*												     */
/*****************************************************/
void DeeperWarrensSongIntro()
{

#ifndef WINCPCTELERA
__asm

_DeeperWarrensIntro_SongStart::

	.ascii "ATLW"
	.db 0
	.dw DeeperWarrensIntro_FmInstrumentTable
	.dw DeeperWarrensIntro_ArpeggioTable
	.dw DeeperWarrensIntro_PitchTable

	.dw DeeperWarrensIntro_Subsong0


DeeperWarrensIntro_ArpeggioTable:
	.dw 0


DeeperWarrensIntro_PitchTable:
	.dw 0


DeeperWarrensIntro_FmInstrumentTable:
	.dw DeeperWarrensIntro_FmInstrument0
	.dw DeeperWarrensIntro_FmInstrument1
	.dw DeeperWarrensIntro_FmInstrument2
	.dw DeeperWarrensIntro_FmInstrument3
	.dw DeeperWarrensIntro_FmInstrument4
	.dw DeeperWarrensIntro_FmInstrument5
	.dw DeeperWarrensIntro_FmInstrument6
	.dw DeeperWarrensIntro_FmInstrument7
	.dw DeeperWarrensIntro_FmInstrument8
	.dw DeeperWarrensIntro_FmInstrument9
	.dw DeeperWarrensIntro_FmInstrument10
	.dw DeeperWarrensIntro_FmInstrument11
	.dw DeeperWarrensIntro_FmInstrument12
	.dw DeeperWarrensIntro_FmInstrument13
	.dw DeeperWarrensIntro_FmInstrument14
	.dw DeeperWarrensIntro_FmInstrument15
	.dw DeeperWarrensIntro_FmInstrument16
	.dw DeeperWarrensIntro_FmInstrument17
	.dw DeeperWarrensIntro_FmInstrument18
	.dw DeeperWarrensIntro_FmInstrument19
	.dw DeeperWarrensIntro_FmInstrument20
	.dw DeeperWarrensIntro_FmInstrument21
	.dw DeeperWarrensIntro_FmInstrument22
	.dw DeeperWarrensIntro_FmInstrument23
	.dw DeeperWarrensIntro_FmInstrument24
	.dw DeeperWarrensIntro_FmInstrument25
	.dw DeeperWarrensIntro_FmInstrument26
	.dw DeeperWarrensIntro_FmInstrument27
	.dw DeeperWarrensIntro_FmInstrument28
	.dw DeeperWarrensIntro_FmInstrument29
	.dw DeeperWarrensIntro_FmInstrument30
	.dw DeeperWarrensIntro_FmInstrument31

DeeperWarrensIntro_FmInstrument0:
	.db 255

DeeperWarrensIntro_FmInstrument0_Loop:	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument1:
	.db 2

	.db 161
	.db 1
	.db 1

	.db 45

DeeperWarrensIntro_FmInstrument1_Loop:	.db 113
	.dw -1

	.db 113
	.dw 1

	.db 109
	.dw -1

	.db 109
	.dw 1

	.db 109
	.dw -1

	.db 113
	.dw 1

	.db 4
	.dw DeeperWarrensIntro_FmInstrument1_Loop

DeeperWarrensIntro_FmInstrument2:
	.db 0

	.db 29

	.db 37

	.db 41

	.db 41

	.db 41

	.db 41

	.db 37

	.db 29

	.db 29

DeeperWarrensIntro_FmInstrument2_Loop:	.db 29

	.db 29

	.db 29

	.db 29

	.db 29

	.db 29

	.db 25

	.db 25

	.db 25

	.db 25

	.db 25

	.db 25

	.db 4
	.dw DeeperWarrensIntro_FmInstrument2_Loop

DeeperWarrensIntro_FmInstrument3:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument4:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument5:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument6:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument7:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument8:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument9:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument10:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument11:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument12:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument13:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument14:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument15:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument16:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument17:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument18:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument19:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument20:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument21:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument22:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument23:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument24:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument25:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument26:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument27:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument28:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument29:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument30:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop

DeeperWarrensIntro_FmInstrument31:
	.db 0

	.db 0

	.db 4
	.dw DeeperWarrensIntro_FmInstrument0_Loop




DeeperWarrensIntro_Subsong0:


DeeperWarrensIntro_Subsong0_Loop:
	.db 15
	.db 8
	.db 63
	.db 0, 0, 0
	.dw DeeperWarrensIntro_Subsong0_Track7, DeeperWarrensIntro_Subsong0_Track8, DeeperWarrensIntro_Subsong0_Track9


	.db 1
	.dw DeeperWarrensIntro_Subsong0_Track10, DeeperWarrensIntro_Subsong0_Track11, DeeperWarrensIntro_Subsong0_Track9


	.db 1
	.dw DeeperWarrensIntro_Subsong0_Track13, DeeperWarrensIntro_Subsong0_Track11, DeeperWarrensIntro_Subsong0_Track15

	.db 0
	.dw DeeperWarrensIntro_Subsong0_Loop


DeeperWarrensIntro_Subsong0_Track7:
	.db 255, 16
	.db 2
	.db 133
	.db 61, 6

	.db 63, 16
	.db 61, 6

	.db 63, 23
	.db 61, 6

	.db 63, 23
	.db 61, 6

	.db 63, 19
	.db 190

	.db 191, 19
	.db 4
	.db 190

	.db 191, 19
	.db 2
	.db 190

	.db 191, 19
	.db 4
	.db 190

	.db 191, 16
	.db 2
	.db 61, 14


DeeperWarrensIntro_Subsong0_Track8:
	.db 196
	.db 4
	.db 131
	.db 190

	.db 14
	.db 62

	.db 2
	.db 62

	.db 4
	.db 61, 6

	.db 4
	.db 190

	.db 16
	.db 190

	.db 63, 23
	.db 61, 6

	.db 14
	.db 190

	.db 16
	.db 190

	.db 14
	.db 61, 6

	.db 4
	.db 61, 4

	.db 21
	.db 62

	.db 4
	.db 61, 6


DeeperWarrensIntro_Subsong0_Track9:
	.db 203
	.db 4
	.db 131
	.db 9
	.db 11
	.db 62

	.db 9
	.db 11
	.db 4
	.db 62

	.db 4
	.db 61, 6

	.db 11
	.db 9
	.db 11
	.db 62

	.db 14
	.db 11
	.db 9
	.db 62

	.db 11
	.db 61, 6

	.db 9
	.db 11
	.db 14
	.db 62

	.db 14
	.db 9
	.db 11
	.db 62

	.db 7
	.db 190

	.db 16
	.db 190

	.db 63, 16
	.db 61, 4

	.db 9
	.db 62

	.db 63, 16
	.db 61, 6


DeeperWarrensIntro_Subsong0_Track10:
	.db 196
	.db 2
	.db 133
	.db 61, 14

	.db 11
	.db 61, 14

	.db 9
	.db 61, 14

	.db 4
	.db 61, 14


DeeperWarrensIntro_Subsong0_Track11:
	.db 196
	.db 4
	.db 131
	.db 190

	.db 14
	.db 62

	.db 2
	.db 62

	.db 4
	.db 61, 6

	.db 4
	.db 190

	.db 16
	.db 190

	.db 63, 23
	.db 61, 6

	.db 14
	.db 190

	.db 16
	.db 190

	.db 14
	.db 61, 6

	.db 4
	.db 61, 4

	.db 9
	.db 62

	.db 4
	.db 61, 6


DeeperWarrensIntro_Subsong0_Track13:
	.db 196
	.db 2
	.db 133
	.db 61, 14

	.db 11
	.db 61, 14

	.db 9
	.db 61, 14

	.db 4
	.db 61, 14


DeeperWarrensIntro_Subsong0_Track15:
	.db 203
	.db 4
	.db 131
	.db 14
	.db 16
	.db 11
	.db 14
	.db 16
	.db 11
	.db 14
	.db 11
	.db 14
	.db 16
	.db 11
	.db 14
	.db 16
	.db 11
	.db 14
	.db 11
	.db 21
	.db 23
	.db 11
	.db 21
	.db 11
	.db 16
	.db 21
	.db 16
	.db 14
	.db 11
	.db 190

	.db 14
	.db 62

	.db 9
	.db 11
	.db 14
	.db 16
	.db 14
	.db 11
	.db 14
	.db 11
	.db 16
	.db 190

	.db 16
	.db 62

	.db 14
	.db 62

	.db 11
	.db 19
	.db 18
	.db 14
	.db 14
	.db 18
	.db 23
	.db 61, 8

__endasm;

#endif
}