
;SOUND FX

;***********************************************************************
;PATTERNS (registers)
;***********************************************************************
.regs_toneb: 
	db %00111101			;mixer value	(reg 7)
	db 6				;total regs
	defb 2,3,9,11,12,13		;regs   tone(2),volb,env1,env2,shape

.regs_noiseb:
	db %00101111			;mixer value
	db 5				;total regs
	defb 6,9,11,12,13		;regs   noise,volb,env1,env2,shape
	
.regs_tonenoiseb: 
	db %00101101			;mixer value
	db 7				;total regs
	defb 2,3,6,9,11,12,13		;regs   tone(2),noise,volb,env1,env2,shape

;***********************************************************************
;SOUNDS (values)			;pattern
;***********************************************************************
.sound_bonus:	
	defb 10,0,16,10,1,%1000		;regs_toneb
.sound_whistle:	
	defb 21,0,16,65,0,%1100		;regs_toneb
.sound_menu:	
	defb 10,0,16,64,2,1		;regs_toneb
.sound_shot:
	defb 8,16,200,2,1		;regs_noiseb
.sound_box:
	defb 12,16,20,2,%1000		;regs_noiseb
.sound_box_end: 
	defb 14,16,150,2,1 		;regs_noiseb
.sound_wall: 
	defb 150,0,12,16,255,1,1	;regs_tonenoiseb

;***********************************************************************
;sound without patterns. reg/value
.sound_amp1:
	db 4
	defb 2,100		
	defb 3,0
	defb 7,%00111101	
	defb 9,14
.sound_amp2
	db 5
	defb 7,%00111111
	defb 9,16		
	defb 11,64		
	defb 12,1		
	defb 13,1