;***********************************************************************
;CONTROL J2
;***********************************************************************
.controlUD2:
	ld a,(c2_zone)
	or a:ret z
	ld d,a
	ld a,(bx):ld e,a
	call c2_autobar
	call c2_autozone
	ld a,(c2_zone)
	ld d,a
	;check keyb buffer
	;-------------------
	call control2c
	.control2a:ld a,(keyb_buffer+LIN_SET2_LF):bit BIT_SET2_LF,a:jr z,c2_moveleft		
	.control2b:ld a,(keyb_buffer+LIN_SET2_RG):bit BIT_SET2_RG,a:jr z,c2_moveright		
	.control2e:ld a,(keyb_buffer+LIN_SET2_F1):bit BIT_SET2_F1,a:jp z,c2_alterbar		
	.control2f:ld a,(keyb_buffer+LIN_SET2_F2):bit BIT_SET2_F2,a:jp z,c2_alterzone		
	ld a,d::and RESPRESS:ld (c2_zone),a:ret	;res pressed
	.control2c:ld a,(keyb_buffer+LIN_SET2_UP):bit BIT_SET2_UP,a:jr z,c2_moveup		
	.control2d:ld a,(keyb_buffer+LIN_SET2_DW):bit BIT_SET2_DW,a:jr z,c2_movedown		
	ret
.c2_moveup:	;D
	bit BIT_Z1,d:jp nz,moveupZone1
	bit BIT_Z2,d:jp nz,moveupZone2
	bit BIT_Z3,d:jp nz,moveupZone3
	bit BIT_Z4,d:jp nz,moveupZone4
	ret
.c2_movedown:	;D
	bit BIT_Z1,d:jp nz,movedownZone1
	bit BIT_Z2,d:jp nz,movedownZone2
	bit BIT_Z3,d:jp nz,movedownZone3
	bit BIT_Z4,d:jp nz,movedownZone4
	ret
.c2_moveleft:	;D
	bit BIT_Z1,d:jp nz,moveleftZone1
	bit BIT_Z2,d:jp nz,moveleftZone2
	bit BIT_Z3,d:jp nz,moveleftZone3
	bit BIT_Z4,d:jp nz,moveleftZone4
	ret
.c2_moveright:	;D
	bit BIT_Z1,d:jp nz,moverightZone1
	bit BIT_Z2,d:jp nz,moverightZone2
	bit BIT_Z3,d:jp nz,moverightZone3
	bit BIT_Z4,d:jp nz,moverightZone4
	ret
;------------------------------------------------------------------------------
.c2_autoZone:	;D,E  (c2_zone, bx)
	nop
	bit BIT_J2,d:ret nz			;compaero?
	bit BIT_PRESSED2,d:ret nz		;pressed?
	ld a,e					;A=ballx
	cp AREA3:jr c,c2_z4
	cp AREA3:jr nc,c2_z3
	ret
	
.c2_autobar:	;D,E  (c2_zone, bx)
	nop					;nop/ret mod. hab./deshab. autobar
	bit BIT_PRESSED1,d:ret nz		;pressed?
	ld a,e					;A=ballx
	bit BIT_Z3,d:jr nz,c2_autoz3		;z3?
	bit BIT_Z4,d:jr nz,c2_autoz4		;z4?
	.c2_autoz2:				;z2
	cp AREA3-1: jr c,c2_altbar0		
	cp AREA0-2: jr c,c2_altbar1
	.c2_autoz3:				;z3
	cp AREA1: jr c,c2_altbar1
	cp AREA0-2: jr c,c2_altbar0		
	.c2_autoz4:				;z4
	cp AREA5: jr c,c2_altbar1
	cp AREA3: jr c,c2_altbar0
	ret
	
	.c2_z3:bit BIT_Z3,d:ret nz:ld a,d:jr c2_xor_zone
	.c2_z4:bit BIT_Z4,d:ret nz:ld a,d::jr c2_xor_zone
	.c2_altbar0:bit BIT_ALTBAR,d:ret z:ld a,d:xor ALTBAR:jr c2_set_zone	;xor altbar
	.c2_altbar1:bit BIT_ALTBAR,d:ret nz:ld a,d:xor ALTBAR:;jr c2_set_zone	;xor altbar
	.c2_set_zone:ld (c2_zone),a:ret					;set c2
	
.c2_alterbar:	;D (c_zone)
	ld a,d
	bit BIT_PRESSED1,a:ret nz	;pressed?
	xor PRESSALTBAR
	jr c2_set_zone			;xor pressed+altbar
	
.c2_alterzone:	;D,A (c_zone,pressed)
	ld a,d
	bit BIT_PRESSED2,a:ret nz	;pressed?
	xor PRESSED2			;pressed
	call c2_set_zone			
	bit BIT_J2,a:ret nz		;compaero?
.c2_xor_zone:
	xor Z34				;cambiar de zona
	;jr c2_hands_hdle
.c2_hands_hdle:				;solo c2
	ld (c2_zone),a
	bit BIT_Z3,a:jr nz,hands_z3_hdle			;
	bit BIT_Z4,a:jr nz,hands_z4_hdle			;
	ret
.c2_hands:				;hands en el inicio ia2/c2
	bit BIT_Z3,a:jr nz,hands_z3
	bit BIT_Z4,a:jr nz,hands_z4
	bit BIT_Z2,a:jp nz,hands_z2
	ret
;------------------------------------------------------------------------------
;manos y mangos (ia2 y c2)	
;zona 3
.hands_z3_hdle:				;pintar mangos en z4
	ld b,HDLE_Z4_BIT		;md2/dl2
	call handle_tables		
.hands_z3:				;pintar manos en z3
 	ld b,PT2_BIT			;pt2
 	call autohand			
 	ld b,DF2_BIT			;df2
	jp autohand

;zona 4
.hands_z4_hdle:				;pintar mangos en z3
	ld b,HDLE_Z3_BIT		;pt2/df2
	call handle_tables		
.hands_z4:				;pintar manos en z4
	ld b,MD2_BIT			;md2
	call autohand
	ld b,DL2_BIT			;dl2
	jp autohand

;###################################################################
;###################################################################
;###################################################################
;---------------------------------PT2-------------------------------
.moveright_pt2:
	ld a,(p2x1):cp MOVE_BACK_LIMIT:ret c
	dec a
	ld (p2x1),a
	ld b,PT2_BIT
	call choose2_spr
	ld (choose_pt2+1),hl
	call hand_back
	jr show_pt2
.moveleft_pt2:
	ld a,(p2x1):cp MOVE_FORW_LIMIT:ret nc
	inc a
	ld (p2x1),a
	ld b,PT2_BIT
	call choose2_spr
	ld (choose_pt2+1),hl
	call hand_forw
	jr show_pt2
.moveup_pt2:
	ld a,PT_LIMIT_UP
	ld hl,(pt2_pos)
	cp l
	ret z
.doup_pt2:
	dec l
	ld (pt2_pos),hl
	jr show_pt2
.movedown_pt2:
	ld a,PT_LIMIT_DW	
	ld hl,(pt2_pos)
	cp l
	ret z
.dodown_pt2:
	inc l
	ld (pt2_pos),hl
	;jr show_pt2
.show_pt2:ld a,(show_move):bit BIT_PT2,a:ret nz:set BIT_PT2,a:ld (show_move),a:xor a:ret

;###################################################################
.moveleftZone3:bit BIT_ALTBAR,d:jr z,moveleft_pt2:jr nz,moveleft_df2
.moverightZone3:bit BIT_ALTBAR,d:jr z,moveright_pt2:jr nz,moveright_df2
.moveupZone3:bit BIT_ALTBAR,d:jr z,moveup_pt2:jr nz,moveup_df2
.movedownZone3:bit BIT_ALTBAR,d:jr z,movedown_pt2:jr nz,movedown_df2
;###################################################################
;---------------------------------DF2----------------------------------
.moveright_df2:
	ld a,(p2x2):cp MOVE_BACK_LIMIT:ret c
	dec a
	ld (p2x2),a
	ld b,DF2_BIT
	call choose2_spr
	ld (choose_df2+1),hl
	call hand_back
	jr show_df2
.moveleft_df2:
	ld a,(p2x2):cp MOVE_FORW_LIMIT:ret nc
	inc a
	ld (p2x2),a
	ld b,DF2_BIT
	call choose2_spr
	ld (choose_df2+1),hl
	call hand_forw
	jr show_df2
.moveup_df2:
	ld a,DF_LIMIT_UP
	ld hl,(df2_pos)
	cp l
	ret z
.doup_df2:
	dec l
	ld (df2_pos),hl
	jr show_df2
.movedown_df2:
	ld a,DF_LIMIT_DW		
	ld hl,(df2_pos)
	cp l
	ret z
.dodown_df2:
	inc l
	ld (df2_pos),hl
	;jr show_df2
.show_df2:ld a,(show_move):bit BIT_DF2,a:ret nz:set BIT_DF2,a:ld (show_move),a:xor a:ret
;---------------------------------MD2----------------------------------
.moveright_md2:
	ld a,(p2x3):cp MOVE_BACK_LIMIT:ret c
	dec a
	ld (p2x3),a
	ld b,MD2_BIT
	call choose2_spr
	ld (choose_md2+1),hl
	call hand_back
	jr show_md2
.moveleft_md2:
	ld a,(p2x3):cp MOVE_FORW_LIMIT:ret nc
	inc a
	ld (p2x3),a
	ld b,MD2_BIT
	call choose2_spr
	ld (choose_md2+1),hl
	call hand_forw
	jr show_md2
.moveup_md2:
	ld a,MD_LIMIT_UP
	ld hl,(md2_pos)
	cp l
	ret z
.doup_md2:
	dec l
	ld (md2_pos),hl
	jr show_md2
.movedown_md2:
	ld a,MD_LIMIT_DW		
	ld hl,(md2_pos)
	cp l
	ret z
.dodown_md2:
	inc l
	ld (md2_pos),hl
	;jr show_md2
.show_md2:ld a,(show_move):bit BIT_MD2,a:ret nz:set BIT_MD2,a:ld (show_move),a:xor a:ret

;###################################################################
.moveleftZone4:bit BIT_ALTBAR,d:jr z,moveleft_md2:jr nz,moveleft_dl2
.moverightZone4:bit BIT_ALTBAR,d:jr z,moveright_md2:jr nz,moveright_dl2
.moveupZone4:bit BIT_ALTBAR,d:jr z,moveup_md2:jr nz,moveup_dl2
.movedownZone4:bit BIT_ALTBAR,d:jr z,movedown_md2:jr nz,movedown_dl2
;###################################################################
;---------------------------------DL2----------------------------------
.moveright_dl2:
	ld a,(p2x4):cp MOVE_BACK_LIMIT:ret c
	dec a
	ld (p2x4),a
	ld b,DL2_BIT
	call choose2_spr
	ld (choose_dl2+1),hl
	call hand_back
	jr show_dl2
.moveleft_dl2:
	ld a,(p2x4):cp MOVE_FORW_LIMIT:ret nc
	inc a
	ld (p2x4),a
	ld b,DL2_BIT
	call choose2_spr
	ld (choose_dl2+1),hl
	call hand_forw
	jr show_dl2
.moveup_dl2:
	ld a,DL_LIMIT_UP
	ld hl,(dl2_pos)
	cp l
	ret z
.doup_dl2:
	dec l
	ld (dl2_pos),hl
	jr show_dl2
.movedown_dl2:
	ld a,DL_LIMIT_DW		
	ld hl,(dl2_pos)
	cp l
	ret z
.dodown_dl2:
	inc l
	ld (dl2_pos),hl
	;jr show_dl2
.show_dl2:ld a,(show_move):bit BIT_DL2,a:ret nz:set BIT_DL2,a:ld (show_move),a:xor a:ret
;----------------------------------------
.choose2_spr: ;in A, B (sprite num, bit shot) - out HL (sprite addr)	
	cp 5:jr z,p2e
	ld hl,p2a_spr			;establecer puntero
	ld de,48			;num bytes offset
	ld c,1				;indice de inicio
.choose2_spr_lp:
	cp c				;comparar indice y opcion
	ret z				;retorna sprite (hl)
	add hl,de			;sino, incrementar offset puntero
	inc c				;e incrementar indice
	jr choose2_spr_lp		;bucle
	
.p2e:ld a,b:ld (c2_shot),a:ld hl,p2e_spr:ret	;alterar shot / ret sprite que dispara