;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of legend of steel.
;;
;;    Legend of steel is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Legend of steel is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Legend of steel.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2018 edition.
;;
;;     Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;     Castillo Zaragoza, Juan Miguel       jmczaragoza13@gmail.com
;;     Pérez Pérez, Luis Fernando           luisfernandodos2@hotmail.com
;;     Ponsoda Montiel, Daniel              dponsoda@gmail.com
;;
;;############################ END GPL LICENSE BLOCK #############################

;;===========================================
;;===========================================
;; MAP PUBLIC SYMBOLS
;;===========================================
;;===========================================

;.globl _g_currentMap
.globl g_currentMap

.globl map_draw
.globl map_eraseSprite
.globl map_eraseSpriteEnd
.globl map_eraseSpriteFront
.globl map_checkCollision
;.globl map_setPos
;.globl map_setTileset
.globl map_getTile

.globl map_setCurrentMap

.globl map_getCurrentTileset

.globl map_deleteCheckPoint

.equ map_posX, 0                    ;; Posición X inicial de dibujado
.equ map_posY, 0                   ;; Posición Y inicial de dibujado
.equ map_width, 20
.equ map_height,22

.equ map_minX, 0               ;; Limite a la izquierda (en pixels)
.equ map_maxX, 160              ;; Limite a la derecha   (en pixels)

.equ map_minY, 0               ;; Limite minY en unidades virtuales de pantalla
.equ map_maxY, 88              ;; Limite maxY en unidades virtuales de pantalla

;.equ solidThreshold, 48         ;; Íd de tile a partir del cual no son sólidos (no detectan colision)      
.globl map_solidThreshold