;;########################## BEGIN GPL LICENSE BLOCK #############################
;;    This file is part of legend of steel.
;;
;;    Legend of steel is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Legend of steel is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Legend of steel.  If not, see <https://www.gnu.org/licenses/>.
;;
;;    Developed for the CPCRetrodev contest 2018 edition.
;;
;;     Developers                           Contact
;;    = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
;;     Castillo Zaragoza, Juan Miguel       jmczaragoza13@gmail.com
;;     Pérez Pérez, Luis Fernando           luisfernandodos2@hotmail.com
;;     Ponsoda Montiel, Daniel              dponsoda@gmail.com
;;
;;############################ END GPL LICENSE BLOCK #############################

.macro location_define _id, _tileset, _baseMap, _map, _n, _e, _s, _w, _entities
    _id::
        .db _tileset
        .dw _baseMap
        .dw _map
        .dw _n
        .dw _e
        .dw _s
        .dw _w
        .dw _entities ; + loc_definitionsSize
.endm

.macro entDef _prototype, _x, _y
    .db 1
    .dw _prototype
    .db _x, _y
.endm

.macro entDefEnd
    .db -1
    .dw 0
    .db 0, 0
.endm

.equ entDefSize, 5

.equ location_tileset, 0
.equ location_baseMap, 1
.equ location_current, 3
.equ location_n, 5
.equ location_e, 7
.equ location_s, 9
.equ location_w, 11
.equ location_entities, 13

.globl worldDefinition_init